Main Page Class Hierarchy Compound List File List Compound Members File Members

# Aedit Class Reference

`#include <edit.h>`

Inheritance diagram for Aedit::

List of all members.

## Public Types
enum | { stateMULTILINE = Aobject::stateLAST, stateOVERWRITE = stateMULTILINE<<1, stateLAST = stateOVERWRITE<<1 }
## Public Methods
ADLL | Aedit (char *name, class Aobject *L, int x, int y, int w, int h)
virtual ADLL | ~Aedit ()
virtual ADLL void | pulse ()
virtual ADLL void | paint (Abitmap *b)
virtual ADLL bool | mouse (int x, int y, int state, int event)
virtual ADLL bool | keyboard (int event, int ascii, int scan, int state)
virtual bool | filter (char c)
virtual ADLL void | set (char *text)
virtual ADLL void | get (char *text, int size)
virtual ADLL int | getSize ()
## Public Attributes
dword | colorBackground
dword | colorBorder
dword | colorText
dword | colorCursor
dword | colorSelect
Afont * | font
char * | caption
int | fsel
int | lsel
int | cursor
boolean | cursvis
int | xx
int | yy
int | estate
int | xMouse
boolean | haveFocus
int | sizeAlloc

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  stateMULTILINE |
  stateOVERWRITE |
  stateLAST |

## Constructor & Destructor Documentation

ADLL Aedit::Aedit | ( | char * | name,
|  | class Aobject * | L,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |

virtual ADLL Aedit::~Aedit | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool Aedit::filter | ( | char | c | ) | `[inline, virtual]`

virtual ADLL void Aedit::get | ( | char * | text,
|  | int | size
| ) | `[virtual]`

virtual ADLL int Aedit::getSize | ( |  | ) | `[virtual]`

virtual ADLL bool Aedit::keyboard | ( | int | event,
|  | int | ascii,
|  | int | scan,
|  | int | state
| ) | `[virtual]`

| Reimplemented from Aobject.

virtual ADLL bool Aedit::mouse | ( | int | x,
|  | int | y,
|  | int | state,
|  | int | event
| ) | `[virtual]`

| Reimplemented from Aobject.

virtual ADLL void Aedit::paint | ( | Abitmap * | b | ) | `[virtual]`

| Reimplemented from Aobject.

virtual ADLL void Aedit::pulse | ( |  | ) | `[virtual]`

| Reimplemented from Aobject.

virtual ADLL void Aedit::set | ( | char * | text | ) | `[virtual]`

## Member Data Documentation

char* Aedit::caption

dword Aedit::colorBackground

dword Aedit::colorBorder

dword Aedit::colorCursor

dword Aedit::colorSelect

dword Aedit::colorText

int Aedit::cursor

boolean Aedit::cursvis

int Aedit::estate

Afont* Aedit::font

int Aedit::fsel

boolean Aedit::haveFocus

int Aedit::lsel

int Aedit::sizeAlloc

int Aedit::xMouse

int Aedit::xx

int Aedit::yy

The documentation for this class was generated from the following file:

- edit.h